EDIT - feature request #8357

implement client adapter for diatom base
07/08/2019 03:45 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: utis Estimated time: 0:00 hour
Target version: UTIS 1.3

Severity: normal

Description

example requests:

http —--timeout 600 :8081/search 'providers==worms[diatombase]' 'query==Eunotia can'
ientificNamelLike | jg '.query[] | .response[] | .taxon.taxonName.scientificName'

searchMode==sc

Related issues:
Related to EDIT - feature request #8356: Algae Names Index - implementation In Progress

Associated revisions

Revision 26759d99 - 07/09/2019 04:31 PM - Andreas Kohlbecker

ref #8357 initial steps in implementing DiatomBase as subServiceProvider in the WoRMS client

Revision bed1d4af - 07/15/2019 01:24 PM - Andreas Kohlbecker
ref #8357 implementing DiatomBaseClient on base of the WoRMS client

Revision d1895dbe - 07/15/2019 01:25 PM - Andreas Kohlbecker
ref #8357 activating DiatomBaseClient in UTIS controller

Revision 1461f4eb - 07/15/2019 01:57 PM - Andreas Kohlbecker
ref #8357 adding DiatomBaseClient to the index.html

History

#1 - 07/08/2019 03:45 PM - Andreas Kohlbecker

- Related to feature request #8356: Algae Names Index - implementation added

#2 - 07/09/2019 12:00 PM - Andreas Kohlbecker
- File picture774-1.png added

Diatom base is fully integrated into WoRMS served throgh the same system.

The search form for DiatomBase uses in the background the same APl as WoRMS with a specific preset. The following search settings in WoRMS

provide the exact same reults as a search in DiatomBase (tested with the name "Navicula"):
marinespecies.org

D # Add to Delicious [ doc [ projects [ Phycobank [ BGBM

Search Scientific Name
Authority
Status {any)
Rank lower or equal to
Belongs to || x Bacillariophyceae Haeckel, 1878
Environment Marine {any)
Fresh (any)
Flags Fossil (any)
Org. name (any)
Note {any)
Editor (anyane)

After  1996-01-01

#3 - 07/09/2019 04:40 PM - Andreas Kohlbecker

- Description updated

#4 - 07/12/2019 12:01 PM - Andreas Kohlbecker

Bart Vanhoorne wote:
Kindertagesstatte I...

diatombase.org (and all other subregisters in WoRMS/Aphia http://www.marinespecies.org/subregisters.php) use a system for tagging taxa/species.
For Diatombase, this of course boils down to "limit to Bacillariophyceae, but there might be exceptions to this.
Conclusion, if you use the access point on diatombase.org (http://www.diatombase.org/aphia.php?p=webservice) you will always have the correctly

tagged taxa, and don't need to apply a higher taxon as filter.

#5 - 07/12/2019 12:01 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Priority changed from New to Highest

#6 - 07/16/2019 12:09 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

#7 - 07/23/2019 04:17 PM - Andreas Kohlbecker

- Target version set to 280

#8 - 07/23/2019 04:30 PM - Andreas Kohlbecker

- Category set to utis

#9 - 02/25/2022 04:28 PM - Andreas Miiller
- Target version changed from 280 to UTIS 1.3

#10 - 02/25/2022 04:33 PM - Andreas Miiller
- Project changed from UTIS to EDIT
- Category changed from utis to utis

- Severity set to normal
http://www.marinespecies.org/subregisters.php
http://www.diatombase.org/aphia.php?p=webservice

Files

picture774-1.png 260 KB 07/09/2019 Andreas Kohlbecker
